/*
Customer acknowledges that the Software Patch provided herein is
confidential trade secret information. Specifically, Customer agrees that
the characteristics and performance of the Software Patch, the Software
Patch itself (including all software and any documentation) are all
confidential information and constitute trade secrets of Apple. (This
information is referred to as "Confidential Information"). Customer
acknowledges that disclosure of Confidential Information could cause serious
harm to Apple and agrees not to disclose Confidential Information to any
person or organization. Customer acknowledges that the Software Patch, its
copyright, its trademark, and any other intellectual property rights in the
Software Patch is owned by Apple. Customer acquires no ownership of the
Software Patch and no right to use the Software Patch beyond the limited
rights conferred to it in its underlying License Agreement for Apple
Software. Customer acquires no right to prepare derivative works.

THE SOFTWARE PATCH PROVIDED FROM APPLE IS PROVIDED "AS IS" AND
WITHOUT WARRANTY, EXPRESS OR IMPLIED. APPLE SPECIFICALLY DISCLAIMS ANY
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT WILL APPLE BE LIABLE FOR ANY DAMAGES, INCLUDING BUT NOT LIMITED
TO ANY LOST PROFITS, LOST SAVINGS OR ANY INCIDENTAL OR CONSEQUENTIAL
DAMAGES, WHETHER RESULTING FROM IMPAIRED OR LOST DATA, SOFTWARE OR COMPUTER
FAILURE OR ANY OTHER CAUSE, EVEN IF APPLE IS ADVISED OF THE POSSIBILITY OF
SUCH DAMAGES, OR FOR ANY OTHER CLAIM BY CUSTOMER OR FOR ANY THIRD PARTY
CLAIM.
*/

#import <Foundation/Foundation.h>

/*
  fixGdbPrintObject() -- Workarounds for both of the problems which gdb's "print-object" command has under WebObjects 4.5 (and somewhat under WO 4.0.1) on NT
	(1) spurious messages "No autorelease pool ... just leaking"
	(2) printing gibberish
  Do NOT call this function except during debugging. It may slow your application or cause significant leaks.

 You may, however, link this code into a production application, without calling the function to install the workarounds. This might be useful if you need to debug in production -- you can tell gdb to "call fixGdbPrintObject()" and work from there.
*/

void fixGdbPrintObject (void);
